"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bsonEqual = void 0;
const lodash_1 = require("lodash");
const bsonEqual = (value, other) => {
    const bsontype = (0, lodash_1.get)(value, '_bsontype', undefined);
    if (!bsontype || typeof bsontype !== 'string') {
        return undefined;
    }
    if (bsontype === 'ObjectId') {
        return value.equals(other);
    }
    if (['Decimal128', 'Long'].includes(bsontype)) {
        return value.toString() === other.toString();
    }
    if (['Int32', 'Double'].includes(bsontype)) {
        return value.value === other.value;
    }
    // for all others, use native comparisons
    return undefined;
};
exports.bsonEqual = bsonEqual;
//# sourceMappingURL=bson-equal.js.map